View Issue Details

IDProjectCategoryView StatusLast Update
0001505Industrial-Craft²machinespublic2015-01-22 01:24
ReporterhanakoczAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001505: Crash when clicked "repeat" button in Replicator
DescriptionI have setup this : Replicator with loaded pattern for coal, connected to electricity and to fluid export from AE2´s ME network. In ME network, I stored ic2 UU matter , and it ws filling the replicator. After I clicked "repeat" button, server crashed.
TagsNo tags attached.
Minecraft Version

Activities

hanakocz

2015-01-02 17:06

reporter  

crash-2015-01-02_17.52.18-server.txt (13,438 bytes)
---- Minecraft Crash Report ----
// I just don't know what went wrong :(

Time: 1/2/15 5:52 PM
Description: Ticking block entity

java.lang.NullPointerException: Ticking block entity
	at ic2.core.block.invslot.InvSlotOutput.add(InvSlotOutput.java:50)
	at ic2.core.block.invslot.InvSlotOutput.add(InvSlotOutput.java:31)
	at ic2.core.block.machine.tileentity.TileEntityReplicator.func_145845_h(TileEntityReplicator.java:91)
	at net.minecraft.world.World.func_72939_s(World.java:2477)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:669)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:943)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:423)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
	at ic2.core.block.invslot.InvSlotOutput.add(InvSlotOutput.java:50)
	at ic2.core.block.invslot.InvSlotOutput.add(InvSlotOutput.java:31)
	at ic2.core.block.machine.tileentity.TileEntityReplicator.func_145845_h(TileEntityReplicator.java:91)

-- Block entity being ticked --
Details:
	Name: Replicator // ic2.core.block.machine.tileentity.TileEntityReplicator
	Block type: ID #200 (blockMachine2 // ic2.core.block.machine.BlockMachine2)
	Block data value: 8 / 0x8 / 0b1000
	Block location: World: (461,76,217), Chunk: (at 13,4,9 in 28,13; contains blocks 448,0,208 to 463,255,223), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Actual block type: ID #200 (blockMachine2 // ic2.core.block.machine.BlockMachine2)
	Actual block data value: 8 / 0x8 / 0b1000
Stacktrace:
	at net.minecraft.world.World.func_72939_s(World.java:2477)
	at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:669)

-- Affected level --
Details:
	Level name: Altaria
	All players: 5 total; [GCEntityPlayerMP['Ray_CZ'/108426, l='Altaria', x=436.15, y=66.20, z=-205.57](Ray_CZ at 436.1511989635265,66.20000004768372,-205.5667687263032), GCEntityPlayerMP['hanakocz'/383346, l='Altaria', x=461.48, y=77.00, z=217.39](hanakocz at 461.4819273312302,77.0,217.38938459465376), GCEntityPlayerMP['Ollie987'/387616, l='Altaria', x=469.05, y=71.00, z=219.63](Ollie987 at 469.0458467973866,71.0,219.63345090918907), GCEntityPlayerMP['LordGuma'/645725, l='Altaria', x=-223.92, y=92.77, z=517.61](LordGuma at -223.9211909841384,92.77193356758077,517.6112183995608), GCEntityPlayerMP['CleanerCZ'/654189, l='Altaria', x=219.94, y=64.00, z=659.11](CleanerCZ at 219.93604554338054,64.0,659.1141949352118)]
	Chunk stats: ServerChunkCache: 1907 Drop: 0
	Level seed: 878887854
	Level generator: ID 00 - default, ver 1. Features enabled: true
	Level generator options: 
	Level spawn location: World: (302,68,277), Chunk: (at 14,4,5 in 18,17; contains blocks 288,0,272 to 303,255,287), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 301542345 game time, 321326759 day time
	Level dimension: 0
	Level storage version: 0x04ABD - Anvil
	Level weather: Rain time: 53322 (now: false), thunder time: 57308 (now: false)
	Level game mode: Game mode: adventure (ID 2). Hardcore: false. Cheats: false
Stacktrace:
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:943)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:423)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658)
	at java.lang.Thread.run(Thread.java:745)

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Linux (amd64) version 3.7.1-fh
	Java Version: 1.8.0_11, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 965531864 bytes (920 MB) / 2166259712 bytes (2065 MB) up to 2570584064 bytes (2451 MB)
	JVM Flags: 8 total; -Xms256M -Xmx2536M -XX:MaxPermSize=256M -XX:+UseParNewGC -XX:UseAVX=2 -XX:+UseSSE42Intrinsics -XX:UseSSE=4 -XX:MaxGCPauseMillis=20
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 96
	FML: MCP v9.05 FML v7.10.85.1231 Cauldron-MCPC-Plus vgit-Cauldron-MCPC-Plus-1.7.10-1.1231.04.209 (MC: 1.7.10) (API v1.7.10-R0.1-SNAPSHOT) Minecraft Forge 10.13.2.1231 40 mods loaded, 40 mods active
	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	FML{7.10.85.1231} [Forge Mod Loader] (minecraft_server.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forge{10.13.2.1231} [Minecraft Forge] (minecraft_server.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	appliedenergistics2-core{rv2-beta-6} [AppliedEnergistics2 Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CodeChickenCore{1.0.4.29} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Micdoodlecore{} [Micdoodle8 Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NotEnoughItems{1.0.3.78} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.3.78-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	SC0_SpaceCore{0.7.9} [SpaceCore] ([1.7.10] SpaceCore 0.7.9.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	SC0_ToxicRain{1.0.3} [Toxic Rain] ([1.7.2] Toxic Rain 1.0.3.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	appliedenergistics2{rv2-beta-6} [Applied Energistics 2] (appliedenergistics2-rv2-beta-6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BiblioCraft{1.9.1} [BiblioCraft] (BiblioCraft[v1.9.1][MC1.7.10].jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Core{6.2.6} [BuildCraft] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Transport{6.2.6} [BC Transport] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Silicon{6.2.6} [BC Silicon] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Builders{6.2.6} [BC Builders] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Energy{6.2.6} [BC Energy] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	BuildCraft|Factory{6.2.6} [BC Factory] (buildcraft-6.2.6.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CarpentersBlocks{3.3.4.1} [Carpenter's Blocks] (Carpenter's Blocks v3.3.4.1 - MC 1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	chisel{2.2.1} [Chisel] (Chisel 2-2.2.1.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	cep{1.5.1 - 1.7.2} [Craftable End Portal] (CraftableEndPortal-1.5.1 - 1.7.2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	CustomOreGen{1.2.13} [Custom Ore Generation] (CustomOreGen-1.7.10-1.2.13.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Dynmap{2.0.0-61} [Dynmap] (Dynmap-2.0.0-forge-10.13.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	extracells{2.2.23} [ExtraCells] (ExtraCells-1.7.10-2.2.23b43.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	farlanders{1.2b} [The Farlanders] (farlanders-1.7.10-v1.2b.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2{2.2.658-experimental} [IndustrialCraft 2] (industrialcraft-2-2.2.658-experimental.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Forestry{3.3.0.386-unstable} [Forestry for Minecraft] (forestry_1.7.10-3.3.0.386-unstable.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	GalacticraftCore{3.0.6} [Galacticraft Core] (GalacticraftCore-1.7-3.0.6.250.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	GalacticraftMars{3.0.6} [Galacticraft Planets] (Galacticraft-Planets-1.7-3.0.6.250.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	PFAAGeologica{0.2.23} [Geologica] (PFAA-1.7.10-0.2.23.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Railcraft{9.4.0.0} [Railcraft] (Railcraft_1.7.10-9.4.0.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	gregtech{MC1710} [GregTech] (gregtech_1.7.10-5.07.05.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	galacticgreg{0.5} [Galactic Greg] (GalacticGreg-0.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IC2LaserFix{2.0} [IC2 Laser Fix] (IC2LaserFix-1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	IronChest{6.0.62.742} [Iron Chest] (ironchest-1.7.10-6.0.62.742-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	MineTweaker3{3.0.9B} [MineTweaker 3] (MineTweaker3-1.7.10-3.0.9C.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	Morpheus{1.7.10-1.5.26} [Morpheus] (Morpheus-1.7.10-1.5.26.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	NBTEdit{1.7.2.2} [In-game NBTEdit] (NBTEdit_1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	PFAAChemica{0.2.23} [Chemica] (PFAA-1.7.10-0.2.23.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	secretroomsmod{4.7.1} [The SecretRoomsMod] (secretroomsmod-1.7.10-4.7.1.376.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	vchat{0.2r14} [vChat] (vChat-0.2r14.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
	AE2 Version: beta rv2-beta-6 for Forge 10.13.2.1230
	Forestry : [Forestry] Warning: You have mods that change the behavior of Minecraft, ForgeModLoader, and/or Minecraft Forge to your client: 
Bukkit, Cauldron, or other Bukkit replacement
These may have caused this error, and may not be supported. Try reproducing the crash WITHOUT these mods, and report it then.
	AE2 Integration: IC2:ON, RotaryCraft:OFF, RC:ON, BC:ON, MJ6:OFF, MJ5:OFF, RF:ON, RFItem:ON, MFR:OFF, DSU:OFF, FZ:OFF, FMP:OFF, RB:OFF, CLApi:OFF, Mekanism:OFF, ImmibisMicroblocks:OFF, BetterStorage:OFF
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 5 / 10; [GCEntityPlayerMP['Ray_CZ'/108426, l='Altaria', x=436.15, y=66.20, z=-205.57](Ray_CZ at 436.1511989635265,66.20000004768372,-205.5667687263032), GCEntityPlayerMP['hanakocz'/383346, l='Altaria', x=461.48, y=77.00, z=217.39](hanakocz at 461.4819273312302,77.0,217.38938459465376), GCEntityPlayerMP['Ollie987'/387616, l='Altaria', x=469.05, y=71.00, z=219.63](Ollie987 at 469.0458467973866,71.0,219.63345090918907), GCEntityPlayerMP['LordGuma'/645725, l='Altaria', x=-223.92, y=92.77, z=517.61](LordGuma at -223.9211909841384,92.77193356758077,517.6112183995608), GCEntityPlayerMP['CleanerCZ'/654189, l='Altaria', x=219.94, y=64.00, z=659.11](CleanerCZ at 219.93604554338054,64.0,659.1141949352118)]
	Is Modded: Definitely; Server brand changed to 'cauldron,craftbukkit,mcpc,fml,forge'
	Type: Dedicated Server (map_server.txt)

Player

2015-01-22 01:24

administrator   ~0003684

The next version should fix this.

Issue History

Date Modified Username Field Change
2015-01-02 17:06 hanakocz New Issue
2015-01-02 17:06 hanakocz File Added: crash-2015-01-02_17.52.18-server.txt
2015-01-22 01:24 Player Note Added: 0003684
2015-01-22 01:24 Player Status new => resolved
2015-01-22 01:24 Player Resolution open => fixed
2015-01-22 01:24 Player Assigned To => Player